Create a custom connector definition
POST
/api/v1/custom-connectors/
const url = 'https://api.ultimateteam.ai/api/v1/custom-connectors/';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"auth_config":{},"auth_type":"example","base_url":"example","description":"example","display_name":"example","endpoints":[{}],"slug":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/custom-connectors/ \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "auth_config": {}, "auth_type": "example", "base_url": "example", "description": "example", "display_name": "example", "endpoints": [ {} ], "slug": "example" }'Create a new custom connector definition.
Validates the definition and persists it. Returns 422 if validation fails.
Args: body: The connector definition.
Returns: The created connector (auth_config excluded).
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
CreateCustomConnectorRequest
Request body for creating a custom connector.
object
auth_config
Auth Config
object
key
additional properties
any
auth_type
required
Auth Type
Api_key, bearer, oauth2, or basic
string
base_url
required
Base Url
string
display_name
required
Display Name
string
endpoints
Endpoints
Array<object>
object
key
additional properties
any
slug
required
Slug
string
Examplegenerated
{ "auth_config": {}, "auth_type": "example", "base_url": "example", "description": "example", "display_name": "example", "endpoints": [ {} ], "slug": "example"}Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
CustomConnectorResponse
Response model for a custom connector (auth_config excluded).
object
auth_type
required
Auth Type
string
base_url
required
Base Url
string
display_name
required
Display Name
string
endpoints
Endpoints
Array<object>
object
key
additional properties
any
id
required
Id
string
is_active
required
Is Active
boolean
slug
required
Slug
string
version
required
Version
integer
Examplegenerated
{ "auth_type": "example", "base_url": "example", "created_at": "2026-04-15T12:00:00Z", "description": "example", "display_name": "example", "endpoints": [ {} ], "id": "example", "is_active": true, "last_test_at": "2026-04-15T12:00:00Z", "last_test_success": true, "slug": "example", "updated_at": "2026-04-15T12:00:00Z", "version": 1}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}